"""
Simple test API for auth_user management (faked)
"""

from typing import List
from fastapi import FastAPI, Depends, HTTPException
from sqlalchemy.orm import Session
from . import crud, schemas
from utils.database import ToarDbSession

app = FastAPI()

# Dependency
def get_db():
    try:
        db = ToarDbSession()
        yield db
    finally:
        db.close()
