"""
Pydantic schemas for TOAR database

WARNING: Just faked -- will be done with Unity in the future!
"""

from typing import List

from pydantic import BaseModel
import datetime as dt

class AuthUserBase(BaseModel):
    id: int = None
    password: str
    last_login: dt.datetime
    is_superuser: bool
    username: str
    first_name: str
    last_name: str
    email: str
    is_staff: bool
    is_active: bool
    date_joined: dt.datetime

class AuthUserCreate(AuthUserBase):
    pass


class AuthUser(AuthUserBase):
    id: int

    class Config:
        orm_mode = True


